std::timed_mutex Class Reference

## Public Member Functions

| timed_mutex (const timed_mutex &)=delete
void | lock ()
timed_mutex & | operator= (const timed_mutex &)=delete
bool | try_lock ()
template<typename _Rep , typename _Period >
bool | try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration >
bool | try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
void | unlock ()

## Detailed Description

timed_mutex

Definition at line 345 of file mutex.

The documentation for this class was generated from the following file:

- mutex